
html, body, header {
	color: #FFFFFF;
	background-color: #444;
}

#header_info{
	height:35px;
	width: 100%;
	background-color: #000000;
}

#app_version{
	text-align: center;
	padding: 5px;
	border: 1px solid #333;
	background: #333;
	color: #fff;
	text-shadow: 0 -1px 1px #000;
}

.app_version_blank {
	border: 1px solid #333;
	background: #333;
	color: #fff;
}

.full_width_table{
	width:100%;
}

.ui-content{
	padding:0px;
}

.header_info_buffer{
	width:100%;
	height:5px;
	background-color: #000099;
}

#message_table {
	width: 100%;
}

#login_name{
	text-align:center;
	color:#FFFFFF;
	text-shadow: none;
}

#back_button {
	width:40px;
	background-image:url('../img/back.png');
	background-repeat:no-repeat;
	background-position:center;
}

#back_button:hover {
	background-image:url('../img/backHL.png');
	background-repeat:no-repeat;
	background-position:center;
}

.hide_element{
	display:none;
}

.error_message_buffer{
	background-color: #FF7373;
	height:4px;
}

.valid_message_buffer{
	background-color: #00FF33;
	height:4px;
}

.theme_a_background{
	background: linear-gradient(#3C3C3C, #111111) repeat scroll 0 0 #111111;
}

.theme_f_background{
	background: linear-gradient(#FF1E27, #D51920) repeat scroll 0 0 #ED1C24;
}

.app_header {
	text-align:center;
	font-size: 22px;
	font-weight: 700;
	margin-top: .5em;
	margin-bottom: .5em;
	margin-left: auto;
	margin-right: auto;
	display:block;
	padding:0;
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
}

.header_bar {
	border-left-width:0;
	border-right-width:0;
	font-family: Arial, Helvetica, sans-serif;
	border: 1px solid #333333;
	background: #111111;
	color:#ffffff;
	font-weight:bold;
	text-shadow: 0 -1px 1px #000000;
}

.center-block {
	display: block;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	margin: 0 auto;
}

.element {
	center-block();
} 

.ui-body-a, .ui-overlay-a {
	border: 1px solid #444444;
	color: #ffffff;
	text-shadow: 0 1px 1px #111111;
	background: #222222;
	background-image: -webkit-gradient(linear,left top,left bottom,from( #444444 ),to( #222222 ));
	background-image: -webkit-linear-gradient( #444444,#222222 );
	background-image: -moz-linear-gradient( #444444,#222222 );
	background-image: -ms-linear-gradient( #444444,#222222 );
	background-image: -o-linear-gradient( #444444,#222222 );
	background-image: linear-gradient( #444444,#222222 );
}

.ui-body-f, .ui-overlay-f {
	border: 1px solid #7f2c2c;
	color: #ffffff;
	text-shadow: 0 1px 0 #444444;
	background: #e75151;
	background-image: -webkit-gradient(linear,left top,left bottom,from( #fe5959 ),to( #cf4848 ));
	background-image: -webkit-linear-gradient( #fe5959,#cf4848 );
	background-image: -moz-linear-gradient( #fe5959,#cf4848 );
	background-image: -ms-linear-gradient( #fe5959,#cf4848 );
	background-image: -o-linear-gradient( #fe5959,#cf4848 );
	background-image: linear-gradient( #fe5959,#cf4848 );
}

/*.login_headers {
	display: inline-grid;
	text-align: left;
	background-image: none;	 	
	box-sizing: border-box;
	margin: 0.5em 0 0.5em 0;
	padding: 0.5em 0.5em 0.5em 0.5em;
}*/

.modal {
	color:#333 !important;
}

#login_status_message, #pwd_status_message {
	text-align: center;
	background: #A5031C;
}

#login_status_message:before, #pwd_status_message:before {
	filter: invert(93%) sepia(100%) saturate(0%) hue-rotate(332deg) brightness(102%) contrast(105%);
	background-image: url(dependencies/bootstrap-icons-1.5.0/exclamation-triangle.svg);
	z-index: 99;
	content: "";
	flex-shrink: 0;
	width: 2.5rem;
	height: 1.5rem; 
	padding-left: 3.2rem;
	background-repeat: no-repeat;
	background-size: 1.5rem;
	background-position: center center;
	position:absolute;
	left:0;
}

.successMessage {
	background: #036814 !important;
}

.headerStyling {
	font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif !important;
	font-weight: normal;
	font-size: small;
	height: 1.5rem;
	display:flex;
	align-items:center;
	justify-content:center;
}

.passwordModalLabel{
	width:160px;
}